hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gunther Hagleitner <ghagleit...@hortonworks.com>
Subject Re: Cannot build hive
Date Tue, 28 Jan 2014 07:51:46 GMT
Thomas,

You have to use -Phadoop-1 or -Phadoop-2 as an option when building hive.

Thanks,
Gunther.


On Mon, Jan 27, 2014 at 11:48 PM, Thomas Larsson
<thomas.larsson@klarna.com>wrote:

> Thanks Andrew, I'll try that.
>
>
> On Tue, Jan 28, 2014 at 8:46 AM, Andrew Mains <andrew.mains@kontagent.com>wrote:
>
>> Hi Thomas,
>>
>> Check out the developer guide and FAQ: https://cwiki.apache.org/
>> confluence/display/Hive/DeveloperGuide#DeveloperGuide-
>> CompilingandRunningHive, https://cwiki.apache.org/
>> confluence/display/Hive/HiveDeveloperFAQ . The instructions on the FAQ
>> ought to work for the latest code (at least, they did for me).
>>
>> Andrew
>>
>>
>> On 1/27/14, 11:36 PM, Thomas Larsson wrote:
>>
>>> Hello.
>>>
>>> I just checked out the hive git repo and ran "mvn clean install" from
>>> the project root.
>>> It fails in module common in which the class HiveStringUtils tries to
>>> use the classes org.apache.hadoop.fs.Path and org.apache.hadoop.fs.Text
>>> which cannot be found.
>>>
>>> Is there anything special I need to do to build?
>>> Are there any build instructions somewhere?
>>>
>>> Best Regards
>>> Thomas
>>>
>>>
>>
>

-- 
CONFIDENTIALITY NOTICE
NOTICE: This message is intended for the use of the individual or entity to 
which it is addressed and may contain information that is confidential, 
privileged and exempt from disclosure under applicable law. If the reader 
of this message is not the intended recipient, you are hereby notified that 
any printing, copying, dissemination, distribution, disclosure or 
forwarding of this communication is strictly prohibited. If you have 
received this communication in error, please contact the sender immediately 
and delete it from your system. Thank You.

Mime
View raw message